/* Responsive
--------------------------------------------- */
.wp-block-navigation__responsive-container-close,
.wp-block-navigation__responsive-container-open,
.components-button.wp-block-navigation__responsive-container-close.wp-block-navigation__responsive-container-close,
.components-button.wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open {
  background-color: var(--wp--preset--color--primary);
  color: var(--wp--preset--color--background-1);
  border-radius: 8px;
  padding: 12px 12px 11px 12px;
}

.wp-block-navigation__responsive-container.is-menu-open {
  animation: overlay-menu__fade-in-animation 0.3s ease-in;
  animation-fill-mode: forwards;
  background-color: inherit;
  display: flex;
  flex-direction: column;
  overflow-y: scroll;
  overflow-x: auto;
  padding: var(--wp--preset--spacing--giant) var(--wp--preset--spacing--xx-large) var(--wp--preset--spacing--xx-large) var(--wp--preset--spacing--xx-large);
  z-index: 100000;
}

.wp-block-navigation__responsive-container {
  bottom: 0;
  display: none;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item {
  font-size: var(--wp--preset--font-size--large) !important;
  border-bottom: 1px solid var(--wp--preset--color--background-4);
  width: 100%;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item.has-child, .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item:last-child {
  border: none;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item a {
  padding-top: 5px !important;
  padding-bottom: 5px !important;
  display: block;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item a:hover {
  color: var(--wp--preset--color--primary) !important;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu {
  background-color: var(--wp--preset--color--background-2) !important;
  border-radius: 10px;
  padding: var(--wp--preset--spacing--large) !important;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu li {
  border: none;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu li a {
  display: block;
  padding-top: 12px !important;
  padding-bottom: 12px !important;
  width: 100%;
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu li a:last-child {
  border: none;
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
  padding-top: 0;
}

.wp-block-navigation.items-justified-center {
  --navigation-layout-justification-setting: start;
  --navigation-layout-justify: start;
}

@keyframes overlay-menu__fade-in-animation {
  0% {
    opacity: 0;
    transform: translateY(0.5em);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
header .search-button > a {
  width: 47px !important;
  padding: 0;
  line-height: 48px;
  height: 42px;
}

/* Sub-menu styles
--------------------------------------------- */
header .wp-block-navigation .wp-block-navigation__submenu-container {
  border: none !important;
  font-size: 16px;
  line-height: var(--wp--custom--line-height--tiny);
  border-radius: 10px;
  min-width: 350px !important;
  margin-left: -8px;
  padding: 0;
}

header .wp-block-navigation :where(.wp-block-navigation__submenu-container) a {
  padding: 10px var(--wp--preset--spacing--medium) !important;
}

.wp-block-navigation .wp-block-navigation__submenu-icon {
  margin-left: 0.5em;
}

header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li:first-child {
  padding-top: 0;
}

header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li:last-child {
  padding-bottom: 0;
}

@media only screen and (min-width: 782px) {
  header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li:first-child {
    padding-top: var(--wp--preset--spacing--x-small);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
  }
  header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li:last-child {
    padding-bottom: var(--wp--preset--spacing--x-small);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
  }
  header .wp-block-navigation .wp-block-navigation__submenu-container {
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.04), 0px 2.025px 7.84688px rgba(0, 0, 0, 0.027), 0px 0.8px 2.925px rgba(0, 0, 0, 0.02), 0px 0.175px 1.04062px rgba(0, 0, 0, 0.013);
  }
  .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation__submenu-container {
    left: 100%;
  }
}
@media not (prefers-reduced-motion) {
  .wp-block-navigation .has-child .wp-block-navigation__submenu-container {
    transition: all 0.3s linear, transform 0.3s linear;
    transform: translateY(-4px);
  }
  .wp-block-navigation .has-child:hover > .wp-block-navigation__submenu-container,
  .wp-block-navigation .has-child:focus-within > .wp-block-navigation__submenu-container {
    transform: translateY(0px);
  }
}
.wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation__submenu-icon {
  margin-right: var(--wp--preset--spacing--small);
}

/* Hover and active state styles */
.wp-block-navigation.is-style-hover-color-primary .wp-block-navigation-item__content::before {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: var(--wp--preset--color--secondary);
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.wp-block-navigation-item__content {
  position: relative;
  text-decoration: none !important;
}

.wp-block-navigation.is-style-hover-color-primary .wp-block-navigation-item__content:hover::before,
.wp-block-navigation.is-style-hover-color-primary .current-menu-item > .wp-block-navigation-item__content::before,
.wp-block-navigation.is-style-hover-color-primary .current-menu-ancestor > .wp-block-navigation-item__content::before {
  opacity: 0.3;
}

/* Secondary color */
.wp-block-navigation.is-style-hover-color-secondary .current-menu-item > .wp-block-navigation-item__content:where(:not(.wp-element-button)),
.wp-block-navigation.is-style-hover-color-secondary > .wp-block-navigation-item > a:where(:not(.wp-element-button)):hover,
.wp-block-navigation.is-style-hover-color-secondary .current-menu-ancestor:where(:not(.wp-element-button)),
header .wp-block-navigation.is-style-hover-color-secondary :where(.wp-block-navigation__submenu-container) .wp-block-navigation-item__content:hover {
  color: var(--wp--preset--color--secondary);
  text-decoration: none;
}

/* Tertiary color */
.wp-block-navigation .current-menu-item > .wp-block-navigation-item__content:where(:not(.wp-element-button)),
.wp-block-navigation > .wp-block-navigation-item > a:where(:not(.wp-element-button)):hover,
.wp-block-navigation .current-menu-ancestor:where(:not(.wp-element-button)),
header .wp-block-navigation :where(.wp-block-navigation__submenu-container) .wp-block-navigation-item__content:hover {
  color: var(--wp--preset--color--tertiary);
  text-decoration: none;
}

/* Style images in navigation
--------------------------------------------- */
.wp-block-navigation-item__content img {
  max-width: 1.5em;
  max-height: 1.5em;
  display: inline-block;
  vertical-align: middle;
  margin-right: 8px;
  margin-left: calc((var(--wp--preset--spacing--medium) - 0) * -1);
}

header .wp-block-navigation-item__content:hover {
  color: var(--wp--preset--color--secondary) !important;
}

header .wp-block-navigation-item__content svg path {
  transition: stroke 0.3s ease;
}

header .wp-block-navigation-item__content:hover + button svg path {
  stroke: var(--wp--preset--color--secondary);
}

.home header {
  position: absolute;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
}

.home header > div.primary-navbar {
  background: transparent !important;
}

.home .entry-content {
  margin-top: 0px !important;
}

@media (min-width: 850px) {
  header .wp-block-navigation .wp-block-navigation__submenu-container {
    box-shadow: 0px 16px 50px 0px rgba(0, 0, 0, 0.15);
  }
  header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li {
    margin: 0px 24px 0px;
    padding: 0;
    border-bottom: 1px solid var(--wp--preset--color--background-4);
  }
  header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li:first-child {
    padding-top: 0;
    margin-top: 10px;
  }
  header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li:last-child {
    padding-bottom: 0;
    margin-bottom: 10px;
    border-bottom: 0;
  }
  header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li a {
    padding-inline: 0 !important;
    padding-top: var(--wp--preset--spacing--x-small) !important;
    padding-bottom: var(--wp--preset--spacing--x-small) !important;
  }
  header .wp-block-navigation :where(.wp-block-navigation__submenu-container) li a:hover {
    color: var(--wp--preset--color--primary) !important;
  }
}
.promo-bar {
  display: none;
}

.promo-bar:not(.promo-bar-hidden) {
  display: block;
}

.promo-bar-close {
  position: absolute;
  top: 0px;
  right: 0px;
  cursor: pointer;
  padding: 15px;
  margin: 0 !important;
  line-height: 0 !important;
}

.hero-block.wp-block-cover > .wp-block-cover__background {
  display: none;
}

@media (max-width: 768px) {
  .promo-bar p {
    font-size: 14px;
    line-height: 1.2;
  }
  .hero-block {
    padding-top: 200px !important;
    background-position: 25% !important;
    padding-bottom: var(--wp--preset--spacing--small) !important;
    position: relative;
  }
  .hero-block * {
    z-index: 1;
    position: relative;
  }
  .hero-block::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #071b28;
    opacity: 0.6;
    pointer-events: none;
    z-index: 0;
  }
  .hero-block.wp-block-cover::before {
    content: none;
  }
  .hero-block.wp-block-cover > img.wp-block-cover__image-background:first-of-type {
    object-position: 26% 34% !important;
    position: absolute;
    z-index: 0;
  }
  .hero-block.wp-block-cover > .wp-block-cover__background {
    display: block;
    position: absolute;
    z-index: 1;
  }
  .hero-block.wp-block-cover > .wp-block-cover__inner-container {
    position: relative;
    z-index: 2;
  }
}
.modal-close {
  position: absolute !important;
  right: 40px;
  top: 40px;
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
  line-height: 1;
  transform: translateY(-50%) translateX(50%);
  cursor: pointer;
}

.wp-block-navigation.is-style-hover-color-primary :where(.wp-block-navigation__submenu-container) .wp-block-navigation-item__content::before {
  display: none !important;
}

/*.home header .wp-block-button.is-style-button-secondary .wp-element-button {
  background: #1d2e39 !important;
  color: #fff !important;
  &:hover {
    background-color: #4b5760 !important;
  }
}*/
.toggle-search {
  cursor: pointer;
}

.search-modal .wp-block-search__inside-wrapper,
.header-search-modal .wp-block-search__inside-wrapper {
  background-color: var(--wp--preset--color--background-2);
}

body.mask-active header::before {
  content: "";
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0.7;
  background: var(--color--foreground-1, #001523);
  z-index: 9999;
}

.line-right p {
  max-width: fit-content;
  padding-right: 48px;
  background-color: #fff;
  position: relative;
  z-index: 9;
}

.line-right {
  position: relative;
}

.line-right::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  height: 1px;
  background-color: var(--wp--preset--color--background-4);
}

header .product-icon {
  position: relative;
}

header .product-icon img {
  z-index: 9;
  position: relative;
}

header .product-icon {
  -webkit-filter: drop-shadow(0 0 20px #fff);
  -moz-filter: drop-shadow(0 0 20px #fff);
  filter: drop-shadow(0 0 20px #fff);
}

.modal-close {
  position: absolute !important;
  right: 40px;
  top: 40px;
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
  line-height: 1;
  transform: translateY(-50%) translateX(50%);
  cursor: pointer;
}

.wp-block-navigation.is-style-hover-color-primary :where(.wp-block-navigation__submenu-container) .wp-block-navigation-item__content::before {
  display: none !important;
}

/*.hero-active .wp-block-button.is-style-button-secondary .wp-element-button {
  background: rgba(239, 233, 233, 0.1);
  color: #fff;
}*/
.toggle-search {
  cursor: pointer;
}

.search-modal {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translateY(-50%) translateX(-50%);
  background-color: #fff;
  z-index: 99999;
  border-radius: 20px;
}

.search-modal .wp-block-search__inside-wrapper {
  background-color: var(--wp--preset--color--background-2);
}

.search-modal {
  display: none;
}

.search-modal > div {
  position: relative;
}

.search-modal.visible {
  display: block;
}

body.mask-active header::before {
  content: "";
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0.7;
  background: var(--color--foreground-1, #001523);
  z-index: 9999;
}

.block-editor-block-list__layout .search-modal {
  display: flex;
  position: relative;
  left: 0;
  top: 0;
  transform: none;
}

.line-right p {
  max-width: fit-content;
  padding-right: 48px;
  background-color: #fff;
  position: relative;
  z-index: 9;
}

.line-right {
  position: relative;
}

.line-right::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  height: 1px;
  background-color: var(--wp--preset--color--background-4);
}

header .product-icon {
  position: relative;
}

header .product-icon img {
  z-index: 9;
  position: relative;
}

header .product-icon {
  -webkit-filter: drop-shadow(0 0 20px #fff);
  -moz-filter: drop-shadow(0 0 20px #fff);
  filter: drop-shadow(0 0 20px #fff);
}

@media (max-width: 768px) {
  .wp-block-navigation__responsive-container-open {
    display: block !important;
  }
  .wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__container {
    display: none !important;
  }
}
